<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

declare(strict_types=1);

namespace Rebilly\Wp\Member\Admin\Block;

// Exit if accessed directly.
use Rebilly\Wp\Member\Shortcode\DynamicPage;

if (!defined('ABSPATH')) {
    exit();
}

class DynamicPageShortcode extends Block
{
    public function __construct()
    {
        $this->name = 'dynamic-page-shortcode';
    }

    public function registerOptions(): array
    {
        $options = parent::registerOptions();
        $options['render_callback'] = [$this, 'renderCallback'];

        return $options;
    }

    /**
     * @param array $attributes
     * @return string
     */
    public function renderCallback(array $attributes): string
    {
        $shortcode = [DynamicPage::NAME];
        $page = $attributes['pageId'] ?? false;
        if (!$page) {
            return __('You must select page type first', REBILLY_WP_LANG_DOMAIN);
        }
        $shortcode[] = $page;
        $shortcode = implode(' ', $shortcode);

        return do_shortcode("[{$shortcode}]");
    }
}
