<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

if (!function_exists('wp_rebilly_m_fields')) {
    /**
     * @param array $fields
     * @param array $data
     * @param bool $return
     *
     * @return string|null
     */
    function wp_rebilly_m_fields($fields, $data = [], $return = false)
    {
        foreach ($fields as &$field) {
            $field['id'] = $field['id'] ?? uniqid('wp_rebilly_m_field_');
            $field['value'] = $field['value'] ?? ($data[$field['name']] ?? null);
        }
        if ($return) {
            ob_start();
        }
        $isolate = function () use ($fields) {
            include(REBILLY_WP_DIR . 'template/admin/fields.php');
        };
        $isolate();
        if ($return) {
            return ob_get_clean();
        }

        return null;
    }
}

if (!function_exists('wp_rebilly_m_field')) {
    /**
     * @param $field
     * @param bool $return
     *
     * @return string|null
     */
    function wp_rebilly_m_field($field, $return = false)
    {
        $field['id'] = $field['id'] ?? uniqid('wp_rebilly_m_field_', false);
        $field['value'] = $field['value'] ?? null;
        if ($return) {
            ob_start();
        }
        $isolate = function () use ($field) {
            include(REBILLY_WP_DIR . 'template/admin/field/wrap.php');
        };
        $isolate();

        if ($return) {
            return ob_get_clean();
        }

        return null;
    }
}
