<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

declare(strict_types=1);

namespace Rebilly\Wp\Member\Integration\BeaverBuilder\RebillyPortal;

use Rebilly\Wp\Member\Integration\BeaverBuilder\Module;

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

class PortalModule extends Module
{
    /** @var array */
    protected static $forms = [];

    public function __construct()
    {
        parent::__construct([
            'name' => __('Portal', REBILLY_WP_LANG_DOMAIN),
            'description' => __('Insert a Rebilly Billing Portal on your page', REBILLY_WP_LANG_DOMAIN),
            'group' => __('Rebilly', REBILLY_WP_LANG_DOMAIN),
            'category' => __('Basic Modules', 'fl-builder'),
            'dir' => REBILLY_WP_DIR . 'template/admin/integration/beaver-builder/portal/',
            'url' => REBILLY_WP_URL . 'template/admin/integration/beaver-builder/portal/',
            'icon' => 'icon.svg',
        ]);
    }

    protected static function settings(): array
    {
        return [
            'general1' => [
                'title' => __('General', REBILLY_WP_LANG_DOMAIN),
                'sections' => [],
            ],
        ];
    }
}
