<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

declare(strict_types=1);

namespace Rebilly\Wp\Member\Integration\Elementor;

use Elementor\Widget_Base;
use Rebilly\Wp\Member\Shortcode\Portal;

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

class PortalWidget extends Widget_Base
{
    /**
     * Get element name.
     *
     * Retrieve the element name.
     *
     * @since 1.4.0
     * @access public
     *
     * @return string The name.
     */
    public function get_name(): string
    {
        return 'rebilly-portal';
    }

    public function get_title(): string
    {
        return __('Rebilly Portal', REBILLY_WP_LANG_DOMAIN);
    }

    public function get_icon(): string
    {
        return 'fa fa-file';
    }

    public function get_keywords(): array
    {
        return ['rebilly', 'page', 'subscription', 'invoice', 'billing portal'];
    }

    protected function _register_controls(): void
    {
    }

    protected function render(): void
    {
        $shortcodeName = Portal::getName();

        echo do_shortcode("[$shortcodeName]");
    }

    protected function _content_template(): void
    {
        renderIsolate(REBILLY_WP_DIR . 'template/admin/integration/elementor/portal.php');
    }
}
