<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

declare(strict_types=1);

namespace Rebilly\Wp\Member\Integration;

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

class Integration
{
    /** @var array|string[] */
    protected static $integrations = [
        ThriveArchitect::class,
        Elementor::class,
        BeaverBuilder::class,
        SiteOrigin::class,
    ];

    public static function register(): void
    {
        do_action('rebilly_before_integrations');
        foreach (static::$integrations as $integration) {
            if (method_exists($integration, 'isApplicable') && $integration::isApplicable()) {
                $obj = new $integration();
                if ($obj instanceof IntegrationContract) {
                    $obj->register();
                }
            }
        }
        do_action('rebilly_after_integrations');
    }
}
