<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

declare(strict_types=1);

namespace Rebilly\Wp\Member\Integration;

use Rebilly\Wp\Member\Integration\Thrive\Form;
use Rebilly\Wp\Member\Plugin;

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

class ThriveArchitect implements IntegrationContract
{
    public static function isApplicable(): bool
    {
        return class_exists('TCB_Elements', false);
    }

    public function register(): void
    {
        add_action('tcb_hook_template_redirect', [$this, 'initMainFrame']);

        // TODO implement element for Thrive
//        add_filter('tcb_element_instances', [$this, 'pushElements']);
    }

    public function initMainFrame()
    {
        Plugin::instance()->admin->loadAssets();
        Plugin::instance()->admin->getRestrictable()->add_mce_button();
    }

    public function pushElements(array $elements): array
    {
        $elements['rebilly-form'] = new Form('rebilly-form');

        return $elements;
    }
}
