<?php
/**
 * @var User $user
 */

use Rebilly\Wp\Member\Entity\Capability;
use Rebilly\Wp\Member\Entity\User;
use Rebilly\Wp\Member\Plugin;

?>
<h3 class="wp_rebilly_m__user_info__title">
    <img src="<?php echo REBILLY_WP_URL; ?>/images/logo.svg" alt="<?php _e('Rebilly', REBILLY_WP_LANG_DOMAIN); ?>">
    <?php _e('Rebilly', REBILLY_WP_LANG_DOMAIN); ?>
</h3>
<table class="form-table">
    <tr>
        <th><label><?php _e('Customer'); ?></label></th>
        <td>
            <?php if ($customer = $user->getCustomer()): ?>
                <a href="<?php _e(Plugin::instance()->appUrl() . "customers/{$customer->getId()}"); ?>"
                   title="<?php _e('Open at Rebilly', REBILLY_WP_LANG_DOMAIN); ?>" target="_blank">
                    <?php _e($customer->getPrimaryAddress()->getFirstName() . ' ' . $customer->getPrimaryAddress()->getLastName()); ?>
                </a>
            <?php else: ?>
                <?php _e('Not set', REBILLY_WP_LANG_DOMAIN); ?>
            <?php endif; ?>
        </td>
    </tr>
    <?php
    $capabilities = $user->getCapabilities();
    $names = Capability::getNames();
    ?>
    <tr>
        <th rowspan="<?php echo count($capabilities); ?>"><label><?php _e('Products customer subscribed to', REBILLY_WP_LANG_DOMAIN); ?></label>
        </th>
        <?php if (count($capabilities)): ?>
        <?php foreach ($capabilities as $i => $capability): ?>
        <?php if ($i > 0): ?>
    </tr>
    <tr>
        <?php endif; ?>
        <td>
            <a href="<?php _e(Plugin::instance()->appUrl() . "products/{$capability}"); ?>"
               title="<?php _e('Open at Rebilly', REBILLY_WP_LANG_DOMAIN); ?>" target="_blank">
                <?php _e($names[$capability] ?? $capability); ?>
            </a>
        </td>
        <?php endforeach; ?>
        <?php else: ?>
            <td><?php _e('No any products', REBILLY_WP_LANG_DOMAIN); ?></td>
        <?php endif; ?>

    </tr>
</table>
