<?php
/**
 * @var User|null $user
 */

use Rebilly\Entities\SubscriptionCancellation;
use Rebilly\Wp\Member\User;

$reasons = [
    SubscriptionCancellation::CATEGORY_DID_NOT_USE => 'I did not used it',
    SubscriptionCancellation::CATEGORY_DID_NOT_WANT => 'I did not want it',
    SubscriptionCancellation::CATEGORY_MISSING_FEATURES => 'It is missing some features',
    SubscriptionCancellation::CATEGORY_BUGS_OR_PROBLEMS => 'I had a problem with it',
    SubscriptionCancellation::CATEGORY_DO_NOT_REMEMBER => 'I do not remember I\'ve subscribed',
    SubscriptionCancellation::CATEGORY_TOO_EXPENSIVE => 'It is too expensive',
    SubscriptionCancellation::CATEGORY_OTHER => 'Other',
];

?>
<?php if ($user): ?>
    <div id="wp_rebilly_m__popup__subscription_cancel" class="wp_rebilly_m__popup wp_rebilly_m__popup__wide mfp-hide">
        <div class="wp_rebilly_m__logo show no-animation">
            <div class="mr-re"></div>
            <div class="mr-bil"></div>
            <div class="mr-ly"></div>
        </div>
        <div class="wp_rebilly_m__popup__row">
            <h3><?php esc_html_e('Are you sure you want to cancel your subscription?', REBILLY_WP_LANG_DOMAIN); ?></h3>
        </div>
        <div class="wp_rebilly_m__popup__row">
            <select name="reason">
                <option value="" selected disabled
                        title="<?php esc_attr_e('Why are you leaving us?', REBILLY_WP_LANG_DOMAIN); ?>">
                    <?php esc_html_e('Why are you leaving us?', REBILLY_WP_LANG_DOMAIN); ?>
                </option>
                <?php foreach ($reasons as $value => $label): ?>
                    <option value="<?php esc_attr_e($value); ?>" title="<?php esc_attr_e($value, REBILLY_WP_LANG_DOMAIN); ?>">
                        <?php esc_html_e($label, REBILLY_WP_LANG_DOMAIN); ?>
                    </option>
                <?php endforeach; ?>
            </select>
        </div>
        <div class="wp_rebilly_m__popup__row">
            <textarea placeholder="<?php esc_attr_e('Can you be more specific?', REBILLY_WP_LANG_DOMAIN); ?>"
                      name="description"></textarea>
        </div>
        <div class="wp_rebilly_m__popup__row wp_rebilly_m__popup__row__actions">
            <button class="wp_rebilly_m__action button button-primary button-large" data-action="close">
                <?php esc_html_e('No, leave it', REBILLY_WP_LANG_DOMAIN); ?>
            </button>
            <button class="wp_rebilly_m__action button button-large" data-action="cancel">
                <?php esc_html_e('Yes, cancel it', REBILLY_WP_LANG_DOMAIN); ?>
            </button>
        </div>
        <div class="wp_rebilly_m__overlay">
        </div>
    </div>
<?php endif; ?>
