<?php
/**
 * @var User $user
 * @var \Rebilly\Entities\Customer $customer
 * @var string $defaultCardId
 * @var array|PaymentCard[] $cards
 * @var array|AjaxAction[] $actions
 */

use Rebilly\Entities\PaymentCard;
use Rebilly\Wp\Member\Action\AjaxAction;
use Rebilly\Wp\Member\Entity\User;

?>
<?php if ($user): ?>
    <div class="wp_rebilly_m__billing_portal_wrap">
        <h2><?php esc_html_e('Billing Portal', REBILLY_WP_LANG_DOMAIN); ?></h2>
        <div class="wp_rebilly_m__billing_portal__cards">
            <?php foreach ($cards as $card): ?>
                <?php renderIsolate(REBILLY_WP_DIR . 'template/front/portal/card.php', compact('user', 'defaultCardId', 'card', 'actions')); ?>
            <?php endforeach; ?>
        </div>
    </div>
<?php else: ?>
    <div class="rebilly_notice">
        <?php esc_html_e('You must log in to view your billing portal', REBILLY_WP_LANG_DOMAIN); ?>
    </div>
<?php endif; ?>

